/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* 
 * e-util.h
 * Copyright 2000, 2001, Ximian, Inc.
 *
 * Authors:
 *   Chris Lahey <clahey@ximian.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License, version 2, as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef _E_UTIL_H_
#define _E_UTIL_H_

#include <stddef.h>
#include <time.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#if 0
char*     e_strdup_strip       (const char       *s);

size_t   e_strftime_fix_am_pm  (char             *s,
				size_t            max,
				const char       *fmt,
				const struct tm  *tm);

size_t   e_strftime		(char              *s,
				 size_t             max,
				 const char        *fmt,
				 const struct tm   *tm);

size_t   e_utf8_strftime_fix_am_pm  (char             *s,
				     size_t            max,
				     const char       *fmt,
				     const struct tm  *tm);

size_t   e_utf8_strftime	(char              *s,
				 size_t             max,
				 const char        *fmt,
				 const struct tm   *tm);
#endif

char*    get_evolution_style_date_string    (time_t date);



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _E_UTIL_H_ */
